Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		irrlicht
Version:	1.5.1
Release:	1
License:	zlib
URL:		http://irrlicht.sourceforge.net
Group:		System/Libraries
Summary:	Irrlicht realtime 3D engine
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		http://downloads.sourceforge.net/irrlicht/%{name}-%{version}.zip

# Patches:
Patch0:		irrlicht-1.5-optflags.patch

# prevent the propietary openGL incarnations
BuildConflicts:	xorg-x11-drv-fglrx
BuildConflicts:	xorg-x11-drv-nvidia
BuildConflicts:	xorg-x11-drv-nvidia-legacy
BuildConflicts:	xorg-x11-drv-nvidia-legacy96xx

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libXxf86vm-devel
BuildRequires: mesa-libGL-devel
BuildRequires: zlib-devel

%description
The Irrlicht Engine is an open source high performance realtime 3D engine 
written and usable in C++ and also available for .NET languages. It is 
completely cross-platform, using D3D, OpenGL and its own software renderer, 
and has all of the state-of-the-art features which can be found in 
commercial 3d engines.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
sed -i 's/\r//' readme.txt
iconv -o readme.txt.iso88591 -f iso88591 -t utf8 readme.txt
mv readme.txt.iso88591 readme.txt
# We don't use any of this. Deleting it so the debuginfo doesn't pick it up.
rm -rf source/Irrlicht/jpeglib source/Irrlicht/zlib source/Irrlicht/libpng

for i in include/*.h doc/upgrade-guide.txt source/Irrlicht/*.cpp source/Irrlicht/*.h; do
  	sed -i 's/\r//' $i
	chmod -x $i
	touch -r changes.txt $i
done

%build
cd source/Irrlicht
make %{?_smp_mflags} sharedlib NDEBUG=1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir
mkdir -p $RPM_BUILD_ROOT%_includedir/%{name}
make -C source/Irrlicht INSTALL_DIR=$RPM_BUILD_ROOT%_libdir install 
cp -a include/* $RPM_BUILD_ROOT%_includedir/%{name}/
cd $RPM_BUILD_ROOT%_libdir
ln -s libIrrlicht.so.%{version} libIrrlicht.so.1
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc readme.txt
%_libdir/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/upgrade-guide.txt
%_includedir
%_libdir/libIrrlicht*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Sep 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.1-1
- Version update
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linux.de> 1.5-1
- initial CCux package release
